libepubgen Namespace Reference documentation

Classes | Typedefs | Functions | Variables
libepubgen Namespace Reference

## Classes
class | EPUBBinaryContent
class | EPUBBodyStyleManager
| EPUBBodyStyleManager manages the body style converted from properties of the page span. More...
class | EPUBCounter
class | EPUBCSSContent
class | EPUBFontManager
| Manages embedded fonts. More...
class | EPUBGenerator
class | EPUBHTMLGenerator
struct | EPUBHTMLGeneratorImpl
| the internal state of a html document generator More...
class | EPUBHTMLManager
class | EPUBImageManager
class | EPUBListStyleManager
| Small class to manage the list style. More...
class | EPUBManifest
class | EPUBPagedGenerator
class | EPUBParagraphStyleManager
| Small class to manage the paragraph style. More...
class | EPUBPath
| Representation of a path in the package. More...
class | EPUBSpanStyleManager
| Small class to manage the span style. More...
class | EPUBSplitGuard
class | EPUBTableStyleManager
| Small class to manage the tables style. More...
class | EPUBTextElement
class | EPUBTextElements
class | EPUBXMLContent
class | EPUBXMLElement
class | GenericException

## Typedefs
typedef std::map< std::string, std::string > | EPUBCSSProperties

## Functions
void | fillPropertyList (const EPUBCSSProperties &cssProps, librevenge::RVNGPropertyList &props)
bool | operator== (const EPUBPath &left, const EPUBPath &right)
bool | operator!= (const EPUBPath &left, const EPUBPath &right)
const EPUBPath | operator/ (const EPUBPath &base, const EPUBPath &subpath)
const EPUBPath | operator/ (const EPUBPath &base, const std::string &pathComponent)
void | swap (EPUBPath &left, EPUBPath &right)
static bool | isValidMimeType (const RVNGString &mediaType)
| Checks if the media type is an EPUB 3 Core Media Type or not.
template<typename T , typename... Args>
std::unique_ptr< T > | make_unique (Args &&... args)

## Variables
static const unsigned | DEFAULT_SPLIT_HEADING_LEVEL = 1
static const unsigned | DEFAULT_SPLIT_SIZE = 1 << 16

## Typedef Documentation

## ◆ EPUBCSSProperties

typedef std::map<std::string, std::string> libepubgen::EPUBCSSProperties

## Function Documentation

## ◆ fillPropertyList()

void libepubgen::fillPropertyList | ( | const EPUBCSSProperties & | cssProps,
|  | librevenge::RVNGPropertyList & | props )

Referenced by libepubgen::EPUBFontManager::send(), libepubgen::EPUBImageManager::send(), libepubgen::EPUBListStyleManager::send(), libepubgen::EPUBParagraphStyleManager::send(), libepubgen::EPUBSpanStyleManager::send(), and libepubgen::EPUBTableStyleManager::send().

## ◆ isValidMimeType()

static bool libepubgen::isValidMimeType | ( | const RVNGString & | mediaType | ) |
| static

Checks if the media type is an EPUB 3 Core Media Type or not.

## ◆ make_unique()

template<typename T , typename... Args>

std::unique_ptr< T > libepubgen::make_unique | ( | Args &&... | args | ) |

## ◆ operator!=()

bool libepubgen::operator!= | ( | const EPUBPath & | left,
|  | const EPUBPath & | right )

## ◆ operator/() [1/2]

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const EPUBPath & | subpath )

## ◆ operator/() [2/2]

const EPUBPath libepubgen::operator/ | ( | const EPUBPath & | base,
|  | const std::string & | pathComponent )

## ◆ operator==()

bool libepubgen::operator== | ( | const EPUBPath & | left,
|  | const EPUBPath & | right )

## ◆ swap()

void libepubgen::swap | ( | EPUBPath & | left,
|  | EPUBPath & | right )

## Variable Documentation

## ◆ DEFAULT_SPLIT_HEADING_LEVEL

const unsigned libepubgen::DEFAULT_SPLIT_HEADING_LEVEL = 1
| static

## ◆ DEFAULT_SPLIT_SIZE

const unsigned libepubgen::DEFAULT_SPLIT_SIZE = 1 << 16
| static